<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$fechas = DataForms::GET('id');
  if($fechas != 'ver'){
		$fec = explode(";",$fechas);
		$ini = $fec[0];
		$fin = $fec[1];
  }
$title = 'Reportes de Ventas';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#1269DB;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>

</head>
<body>
	<div class="wrapper">
		<?php 
			switch($ROL){
				case 1: $menu = 'inc_menu-admin.php'; break;
				case 2: $menu = 'inc_menu-vendedor.php'; break;			
			}
			include($menu);
		?>

		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">									
									<div>
										<div align=right>
											<h2>Filtrar por Fechas</h2>
											<?php if($fechas == 'ver'){ ?>
												<b>Fecha Inicio: </b><input value='<?php echo date("Y-m").'-01'; ?>' type="date" id='txtFecha1' class="btn btn-primary">
												<b>Fecha Final: </b> <input value='<?php echo date("Y-m").'-30'; ?>' type="date" id='txtFecha2' class="btn btn-primary">									 
											<?php }else{ ?>
												<b>Fecha Inicio: </b><input value='<?php echo $ini; ?>' type="date" id='txtFecha1' class="btn btn-primary">
												<b>Fecha Final: </b> <input value='<?php echo $fin; ?>' type="date" id='txtFecha2' class="btn btn-primary">	
											<?php } ?>																							
										</div>
										<hr>
										<div class="table-responsive">
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>	
													<th>fecha</th>	
													<th>codigo venta</th>	
													<th>Usuario</th>										
													<th>item</th>
													<th>ubicación</th>
													<th>descripción</th>
													<th>cliente</th>
													<th>tipo</th>
													<th>unidades</th>
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											if($fechas=='ver'){
												$sql = "SELECT * FROM inventarios_productos prod, 
														inventarios_ubicaciones ubi, 
														ventas_productos ven,
														inventarios_clientes cli
												WHERE prod.ubica_codigo = ubi.ubica_codigo
												AND ven.ubica_codigo = ubi.ubica_codigo
												AND ven.prod_codigo = prod.prod_codigo
												AND ven.clie_codigo = cli.clie_codigo
												AND ven.ven_fecha BETWEEN '".date("Y-m").'-01'."%' AND '".date("Y-m").'-30'."%';";	
											}else{
												$sql = "SELECT * FROM inventarios_productos prod, 
															inventarios_ubicaciones ubi, 
															ventas_productos ven,
															inventarios_clientes cli
												WHERE prod.ubica_codigo = ubi.ubica_codigo
												AND ven.ubica_codigo = ubi.ubica_codigo
												AND ven.prod_codigo = prod.prod_codigo
												AND ven.clie_codigo = cli.clie_codigo
												AND ven.ven_fecha BETWEEN '".$ini." 00:00:00%' AND '".$fin." 23:59:59%';";	
											}
											

											$db= new DB();
											$Usuario = new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;			
											//Productos por ubicacion							
												$ubica_nombre = $db->dbField('ubica_nombre');													
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												
												$ven_tipo = $db->dbField('ven_tipo');
												  switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario ;
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena ;
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena ;
													break;
												  }
												//Registro de Ventas
											  $ven_id = $db->dbField('ven_id');
											  $ven_codigo = $db->dbField('ven_codigo');												
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');
												$ven_fecha = $db->dbField('ven_fecha');
												//Registro de USuario que realizo la venta
												$usuario = $db->dbField('us_id');
												$sqlUsuario = "SELECT * FROM rol_usuarios WHERE us_id = '$usuario';";
												$Usuario->dbSQL($sqlUsuario);
												$Usuario->next();
												$UsuarioNombre = $Usuario->dbField('us_nombres').' '.$Usuario->dbField('us_apellidos');

												$total = $total + $ven_precio;
												//Clientes registrados
												$cliente = $db->dbField('clie_nombres').' '.$db->dbField('clie_apellidos');

												$html.='<tr>';
													$html.='<td>'.$ven_fecha.'</td>';
													$html.='<td>'.$ven_codigo.'</td>';	
													$html.='<td>'.$UsuarioNombre.'</td>';													
													$html.='<td>'.$prod_item.'</td>';
													$html.='<td>'.$ubica_nombre.'</td>';												
													$html.='<td>'.$prod_nombre.'</td>';	
													$html.='<td>'.$cliente.'</td>';
													$html.='<td align=right>'.$tipo.'</td>';
													$html.='<td align=right>'.$ven_cantidad.'</td>';
													$html.='<td align=right>'.$precio.'</td>';
													$html.='<td align=right>'.$ven_precio.'</td>';																										
												$html.='</tr>';											
												
											}//wend() 

											$html.= '<tr><td colspan=11 align=right><h3>TOTAL: Bs. '.$total.'</h3></td></tr>';
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>	
										</div>
									</div>
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>	
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	
$('#txtFecha2').change(function(){
	let fecIni = $('#txtFecha1').val();
	let fecFin = $(this).val();

	self.location="<?php echo PATH_HOME.'reportes/';?>"+fecIni+';'+fecFin;
});
</script>